Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414434 - [RFE] [ODL] VLAN Aware VMs
Summary: [RFE] [ODL] VLAN Aware VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 12.0 (Pike)
Assignee: Mike Kolesnik
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On: 1414854 1422128
Blocks: 1281573 1389435 1396159 1442136 1469014
TreeView+ depends on / blocked
 
Reported: 2017-01-18 13:50 UTC by Nir Yechiel
Modified: 2018-10-18 07:23 UTC (History)
10 users (show)

Fixed In Version: opendaylight-6.2.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2017-12-13 21:02:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 489517 0 None None None 2017-11-06 13:29:11 UTC
OpenDaylight gerrit 50615 0 None None None 2017-01-19 15:56:14 UTC
OpenDaylight gerrit 50676 0 None None None 2017-02-08 04:44:01 UTC
OpenStack gerrit 518267 0 None None None 2017-11-22 11:44:05 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Nir Yechiel 2017-01-18 13:50:39 UTC
Description of problem:

A very common request from Service Provider customers and the NFV market, due to the way current VNFs/network appliances are built today.

Looking at the future, this can also be used to facilitate network infrastructure for containers running inside VMs - where each container is assigned with a sub-port/VLAN ID.

The API is agreed and frozen at this point: https://specs.openstack.org/openstack/neutron-specs/specs/mitaka/vlan-aware-vms.html


Note: we need to consider support/testing for this in both standard OVS and OVS+DPDK.

Comment 1 Nir Yechiel 2017-01-18 13:54:22 UTC
networking-odl patch is under review here: https://review.openstack.org/#/c/421895/

Comment 4 Nir Yechiel 2017-01-30 12:36:15 UTC
https://git.opendaylight.org/gerrit/#/c/50615 (core NetVirt change) is merged upstream.

Comment 5 Nir Yechiel 2017-02-08 04:44:02 UTC
(In reply to Nir Yechiel from comment #4)
> https://git.opendaylight.org/gerrit/#/c/50615 (core NetVirt change) is
> merged upstream.

The above patch is the ODL Neutron Northbound part. The following is
the ODL NetVirt patch, which isn't merged yet:

https://git.opendaylight.org/gerrit/#/c/50676/

Comment 8 Itzik Brown 2017-10-26 21:56:10 UTC
The two test_trunk tests in Neutron scenario tests fail.
We need to investigate.

1)neutron.tests.tempest.scenario.test_trunk.TrunkTest.test_subport_connectivity

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/neutron/tests/tempest/scenario/test_trunk.py", line 265, in test_subport_connectivity
    should_succeed=True
  File "/usr/lib/python2.7/site-packages/neutron/tests/tempest/scenario/base.py", line 278, in check_remote_connectivity
    source, dest, should_succeed, nic, mtu, fragmentation))
  File "/usr/lib/python2.7/site-packages/unittest2/case.py", line 678, in assertTrue
    raise self.failureException(msg)
AssertionError: False is not true


2)neutron.tests.tempest.scenario.test_trunk.TrunkTest.test_trunk_subport_lifecycle

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/neutron/tests/tempest/scenario/test_trunk.py", line 188, in test_trunk_subport_lifecycle
    utils.wait_until_true(lambda: self._is_port_active(s['port_id']))
  File "/usr/lib/python2.7/site-packages/neutron/common/utils.py", line 688, in wait_until_true
    raise WaitTimeout("Timed out after %d seconds" % timeout)
neutron.common.utils.WaitTimeout: Timed out after 60 seconds

Comment 9 Mike Kolesnik 2017-10-29 07:54:07 UTC
(In reply to Itzik Brown from comment #8)
> The two test_trunk tests in Neutron scenario tests fail.
> We need to investigate.
> 
> 1)neutron.tests.tempest.scenario.test_trunk.TrunkTest.
> test_subport_connectivity
> 
> Traceback (most recent call last):
>   File
> "/usr/lib/python2.7/site-packages/neutron/tests/tempest/scenario/test_trunk.
> py", line 265, in test_subport_connectivity
>     should_succeed=True
>   File
> "/usr/lib/python2.7/site-packages/neutron/tests/tempest/scenario/base.py",
> line 278, in check_remote_connectivity
>     source, dest, should_succeed, nic, mtu, fragmentation))
>   File "/usr/lib/python2.7/site-packages/unittest2/case.py", line 678, in
> assertTrue
>     raise self.failureException(msg)
> AssertionError: False is not true
> 
> 
> 2)neutron.tests.tempest.scenario.test_trunk.TrunkTest.
> test_trunk_subport_lifecycle
> 
> Traceback (most recent call last):
>   File
> "/usr/lib/python2.7/site-packages/neutron/tests/tempest/scenario/test_trunk.
> py", line 188, in test_trunk_subport_lifecycle
>     utils.wait_until_true(lambda: self._is_port_active(s['port_id']))
>   File "/usr/lib/python2.7/site-packages/neutron/common/utils.py", line 688,
> in wait_until_true
>     raise WaitTimeout("Timed out after %d seconds" % timeout)
> neutron.common.utils.WaitTimeout: Timed out after 60 seconds

Please attach full logs from ODL and Neutron (and maybe Tempest) so that we can study the issue.

Comment 10 Itzik Brown 2017-11-06 13:28:19 UTC
Running with python-networking-odl-11.0.1-0.20170926211325.6ceec59.el7ost.noarch
neutron.tests.tempest.scenario.test_trunk.TrunkTest.test_trunk_subport_lifecycle fails:

It seems that the subports are not in ACTIVE state.

A patch was merged in Aug 1.
https://review.openstack.org/#/c/489517/

Comment 12 Itzik Brown 2017-11-19 09:19:54 UTC
A patch was merged d/s:
https://review.openstack.org/#/c/518267/1

Comment 14 Itzik Brown 2017-11-23 07:28:27 UTC
2 Neutron test_trunk scenario tests passed:

Checked with:
opendaylight-6.2.0-4.el7ost.noarch
python-networking-odl-11.0.1-0.20171017155942.el7ost.noarch

Comment 17 errata-xmlrpc 2017-12-13 21:02:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.